Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 83)
@@ -115,15 +115,45 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(ComboBoxEX))) continue;
+                    wrk.Text = "";
+                }
+                m_bChengeAns = false;
             }
-            m_bChengeAns = false;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
+        #region 初期時にログイン担当者をセットする
+        /// <summary>
+        /// 初期時にログイン担当者をセットする
+        /// </summary>
+        private void InitDepPersonCode()
+        {
+            try
+            {
+                // 選択部署が複数の者はセットしない
+                if (cmbDepartment.Items.Count > 1) return;
+
+                cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                SetcombBoxPerson();
+                cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 対象年度のセット
         /// <summary>
         /// 対象年度のセット
@@ -134,8 +164,8 @@
             try
             {
                 // 存在月を担当者毎経費データより取得する
-                //string strSQL = "SELECT TO_CHAR(ACTIONDATE,'YYYY/MM'), COUNT(*) FROM CostDataOfPerson GROUP BY TO_CHAR(ACTIONDATE,'YYYY/MM') ORDER BY 1";
-                string strSQL = "SELECT DATE_FORMAT(ACTIONDATE,'%Y/%m/'), COUNT(*) FROM CostDataOfPerson GROUP BY DATE_FORMAT(ACTIONDATE,'%Y/%m') ORDER BY 1";
+                //string strSQL = "SELECT DATE_FORMAT(ACTIONDATE,'YYYY/MM'), COUNT(*) FROM CostDataOfPerson GROUP BY DATE_FORMAT(ACTIONDATE,'YYYY/MM') ORDER BY 1";
+                string strSQL = "SELECT DATE_FORMAT(ACTIONDATE,'%Y/%m'), COUNT(*) FROM CostDataOfPerson GROUP BY DATE_FORMAT(ACTIONDATE,'%Y/%m') ORDER BY 1";
                 ArrayList arList = new ArrayList();
                 CostDB.ExecuteReader(strSQL, ref arList);
 
@@ -282,25 +312,6 @@
                         DispAllCombBoxControl(false);
                     }
                 }
-
-                // 初期設定対象がコンボボックスデータにあればセットする
-                for (int i = 0; i < cmbDepartment.Items.Count; i++)
-                {
-                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
-                    if (wrkPair.Key == CommonMotions.LoginUserData.DepartmentCode)
-                    {
-                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                    }
-                }
-
-                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
-                {
-                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
-                    if (wrkPair.Key == CommonMotions.LoginUserData.PersonCode)
-                    {
-                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                    }
-                }
             }
             catch (Exception ex)
             {
@@ -369,7 +380,6 @@
             m_bInitFlg = true;
             try
             {
-
                 cmbDepartment.DataSource = null;
                 cmbDepartment.Items.Clear();
                 cmbDepartment.Text = "";
@@ -380,31 +390,13 @@
                 strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
                 strSQL += " WHERE A.DELETEFLG = 0";
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
+                if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
                 {
-                    // システム権限によってデータアクセスに制限がある
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key
-                        || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                    {
-                        // 所属長
-                        // 一般使用者（自分のみアクセス可能）
-                        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
-                    }
+                    // 参照部署マスタより取得する
+                    strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                    strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
                 }
-                else
-                {
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
-                    {
 
-                    }
-                    else
-                    {
-                        // 参照部署マスタより取得する
-                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
-                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
-                    }
-                }
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
                 strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
                 strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
@@ -428,17 +420,6 @@
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    // 所属長
-                    // 一般使用者（自分のみアクセス可能）
-                    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                    {
-                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                    }
-                }
-
                 return true;
             }
             catch (Exception ex)
@@ -494,58 +475,48 @@
         private void SetcombBoxPerson()
         {
             IOMPersonInCharge picDB = new IOMPersonInCharge();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
             try
             {
-                // 担当者マスタを検索する
-                //string strSQL = string.Format(" WHERE EMPLOYEECLASSFLG = {0} AND DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
-                string strSQL = " WHERE DELETEFLG = 0";
-                
-                // 所　属　長
-                int Superior = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
-                // 一般ユーザー
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
-                if (CommonMotions.LoginUserData.SecurityManagement == Superior)
+                cmbConstructionPerson.DataSource = null;
+                cmbConstructionPerson.Items.Clear();
+                cmbConstructionPerson.Text = "";
+
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+                string strSQL = string.Empty;
+                int DepartmentCode = GetDepartmentCode();
+                if (DepartmentCode == 0)
                 {
-                    // 所属長（所属内のみ）
-                    strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                    strSQL = " WHERE DeleteFlg = 0";
+                    strSQL += string.Format(" AND EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.Regular);
+                    // 参照部署マスタより取得する
+                    strSQL += " AND DEPARTMENTCODE IN (SELECT AA.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER AA";
+                    strSQL += string.Format(" WHERE AA.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL += " Order By EmployeeClassFlg ASC, DisplayOrder ASC";
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == User)
-                {
-                    // 一般ユーザーは担当者を選択できない
-                    return;
-                }
                 else
                 {
-                    if (CommonMotions.cnvInt(cmbDepartment.SelectedValue) != 0)
-                        strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.cnvInt(cmbDepartment.SelectedValue));
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
                 }
 
                 // 担当者マスタ読込
-                strSQL += " ORDER BY EMPLOYEECLASSFLG ASC, DISPLAYORDER ASC";
-                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>(); ;
-                if (!picDB.SelectAction(strSQL, ref workList)) return ;
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
 
-                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                // データ表示
-                foreach (PersonInChargeMaster wrk in workList)
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
                 {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.PersonCode, wrk.PersonName);
-                    DataList.Add(keyval);
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
                 }
 
                 // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, DataList);
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
-                    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key &&
-                        CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
-                    {
-                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                    }
-                }
+                return;
             }
             catch (Exception ex)
             {
@@ -554,6 +525,7 @@
             finally
             {
                 picDB.close(); picDB = null;
+                m_bInitFlg = bSave;
             }
         }
         #endregion
@@ -869,7 +841,7 @@
             try
             {
                 // 前月のデータをロックする
-                LockGrid(TargetTab);
+                //LockGrid(TargetTab);
 
                 // 対象月を取得する
                 string TargetMonth = GetTargetMonth();
@@ -885,8 +857,8 @@
 
                 // データ読込
                 string strSQL = "SELECT";
-                //strSQL += " TO_CHAR(ACTIONDATE,'DD'), DATATYPE, CONSTRUCTIONCODE, PAYMENTCONTENT,";
-                strSQL += " DATE_FORMAT(ACTIONDATE,'/%d'), DATATYPE, CONSTRUCTIONCODE, PAYMENTCONTENT,";
+                //strSQL += " DATE_FORMAT(ACTIONDATE,'DD'), DATATYPE, CONSTRUCTIONCODE, PAYMENTCONTENT,";
+                strSQL += " DATE_FORMAT(ACTIONDATE,'%d'), DATATYPE, CONSTRUCTIONCODE, PAYMENTCONTENT,";
                 strSQL += " ENTRYPRICE, ENTRYPRICEINTAX, SUPPLIERSCODE, SUPPLIERSNAME, COMPLATEFLG,";
                 strSQL += " APPROVALFLG, DATAADDCOUNT, PaymentType";
                 strSQL += " FROM CostDataOfPerson";
@@ -1063,6 +1035,28 @@
         }
         #endregion
 
+        #region 部署コンボより担当者コードを取得する
+        /// <summary>
+        /// 部署コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDepartmentCode()
+        {
+            try
+            {
+                // 表示されていない場合は選択無
+                //if (!cmbDepartment.Visible) return 0;
+
+                return CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
         #region 対象月をコンボボックスより取得する
         /// <summary>
         /// 対象月をコンボボックスより取得する
@@ -1163,7 +1157,7 @@
                     if (CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt - 1)].Cells[(int)DispGridColumn.Days].Value)) sameCount++;
                 }
                 // 1行後が同じ日付かを確認する
-                if (RemoveCnt <= (dgv.RowCount - 1))
+                if (RemoveCnt < (dgv.RowCount - 1))
                 {
                     if (CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt + 1)].Cells[(int)DispGridColumn.Days].Value)) sameCount++;
                 }
@@ -1307,6 +1301,7 @@
                 strSQL += string.Format(" AND TargetMonth = '{0}'", TargetMonth);
                 CostDB.DeleteAction(strSQL, false);
 
+                string strSubSQL = string.Empty;
                 // 全タブを対象に処理を行う
                 for (int i = (int)InputTabCount.Transport; i <= (int)InputTabCount.Lodging; i++)
                 {
@@ -1320,24 +1315,33 @@
                         // 金額が無い行は処理しない
                         if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.EntryPrice].Value) == 0) continue;
 
-                        // データ編集
-                        CostDataOfPerson costRec = new CostDataOfPerson();
-                        SetCostsRecData(i, wrkRow, ref costRec);
-                        
-                        // データ追加番号のセット
-                        costRec.DataAddCount = Addcnt++;
-                        // 対象年月のセット
-                        costRec.TargetMonth = TargetMonth;
-
-                        if (!CostDB.InsertAction(costRec, false))
-                        {
-                            MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            CostDB.rollback();
-                            return false;
-                        }
+                        SetCostsRowDataSQL(i, wrkRow, Addcnt, ref strSubSQL);
+                        Addcnt++;
                     }
                 }
+                // 追加データ無は処理しない
+                if (strSubSQL.Length < 1) return true;
 
+                strSQL = "INSERT INTO CostDataOfPerson";
+
+                strSQL += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOCostDataOfPerson.TableColumn)))
+                {
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
+                }
+                strSQL += ")";
+                strSQL += " VALUES";
+
+                strSQL += strSubSQL;
+                if (!CostDB.ExecuteNonQuery(strSQL, false))
+                {
+                    MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
                 CostDB.commit();
 
                 return true;
@@ -1377,7 +1381,7 @@
 
                 // まず削除する
                 string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                //strSQL += string.Format(" AND TO_CHAR(ActionDate,'YYYY/MM') = '{0}'", TargetMonth);
+                //strSQL += string.Format(" AND DATE_FORMAT(ActionDate,'YYYY/MM') = '{0}'", TargetMonth);
                 strSQL += string.Format(" AND DATE_FORMAT(ActionDate,'%Y/%m') = '{0}'", TargetMonth);
                 CostDB.DeleteAction(strSQL, false);
 
@@ -1409,6 +1413,72 @@
         /// </summary>
         /// <param name="costRec"></param>
         /// <param name="CurTabCnt"></param>
+        private void SetCostsRowDataSQL(int CurTabCnt, DataGridViewRow dgvRow, int Addcnt, ref string strSQL)
+        {
+            try
+            {
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 対象日を取得する
+                int TargetDay = CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.Days].Value);
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                if (CurTabCnt == 0 && Addcnt == 1) strSQL += " (";
+                else strSQL += ", (";
+
+                // 担当者コード
+                strSQL += string.Format("{0}", PersonCode);
+                // 対象日付
+                strSQL += string.Format(" ,STR_TO_DATE('{0}/{1}','%Y/%m/%d')", TargetMonth , TargetDay.ToString());
+                // データ種別
+                strSQL += string.Format(" ,{0}", GetDataType(CurTabCnt));
+                // データ追加番号
+                strSQL += string.Format(" ,{0}", Addcnt);
+                // 対象年月
+                strSQL += string.Format(" ,'{0}'", TargetMonth);
+                // 工事コード	
+                strSQL += string.Format(" ,{0}", CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.ConstractionCode].Value));
+                // 支払先コード
+                strSQL += string.Format(" ,{0}", CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.SuppliersCode].Value));
+                // 支払先名称
+                strSQL += string.Format(" ,'{0}'", CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.SuppliersName].Value));
+                // 支払内容
+                strSQL += string.Format(" ,'{0}'", CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.PaymentContent].Value));
+                // 支払方法区分
+                strSQL += string.Format(" ,{0}", CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.PaymentType].Value));
+                // 金額(税抜)
+                strSQL += string.Format(" ,{0}",  CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.EntryPrice].Value));
+                // 金額(税込)
+                strSQL += string.Format(" ,{0}",  CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.EntryPriceInTax].Value));
+                // 伝票番号
+                strSQL += string.Format(" ,'{0}'", string.Empty);
+                // 引込済みフラグ
+                strSQL += string.Format(" ,{0}", 0);
+                // 承認フラグ
+                strSQL += string.Format(" ,{0}", 0);
+                // 登録年月日
+                strSQL += ", NOW()";
+                // 更新年月日
+                strSQL += ", NOW()";
+
+                strSQL += ")";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 担当者毎経費データ編集データ取り込み
+        /// <summary>
+        /// 担当者毎経費データ編集データ取り込み
+        /// </summary>
+        /// <param name="costRec"></param>
+        /// <param name="CurTabCnt"></param>
         private void SetCostsRecData(int CurTabCnt, DataGridViewRow dgvRow, ref CostDataOfPerson costRec)
         {
             try
@@ -1526,7 +1596,7 @@
                 return false;
             }
         }
-            #endregion
+        #endregion
 
         #region 合計エリア表示
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 83)
@@ -377,7 +377,7 @@
             {
                 if (dgvGridData.CurrentRow.Index == 0) return;
                 // グリッドアップキー処理
-                DataGridViewAction.GridRowUpAction((DataGridView)dgvGridData, (int)DispGridApproval.PersonCode, (int)DispGridApproval.JobPosision);
+                DataGridViewAction.GridRowUpAction((DataGridView)dgvGridData, (int)DispGridApproval.PersonCode, (int)DispGridApproval.Check);
 
                 m_bChengeAns = true;
             }
@@ -402,7 +402,7 @@
                 int CurrRow = dgvGridData.CurrentRow.Index;
                 if (CommonMotions.chkObjectIsNull(dgvGridData[(int)DispGridApproval.PersonCode, (CurrRow + 1)].Value)) return;
                 // グリッドダウンキー処理
-                DataGridViewAction.GridRowDownAction((DataGridView)dgvGridData, (int)DispGridApproval.PersonCode, (int)DispGridApproval.JobPosision);
+                DataGridViewAction.GridRowDownAction((DataGridView)dgvGridData, (int)DispGridApproval.PersonCode, (int)DispGridApproval.Check);
 
                 m_bChengeAns = true;
             }
@@ -545,9 +545,6 @@
             IOMDepartment dmDB = new IOMDepartment();               // 部署マスタ
             try
             {
-                int AddRowCnt1 = CommonDefine.s_MaxInitLineCountMastamente - dgvGridData.Rows.Count;
-                if (AddRowCnt1 != 0) dgvGridData.Rows.Add(AddRowCnt1);
-
                 // グリッドの行を0に戻す
                 dgvMaster.Rows.Clear();
 
@@ -575,12 +572,6 @@
                                         , objwrk[3]
                                         );
                 }
-                // 表示行が足りない場合は追加する
-                if (dgvMaster.Rows.Count <= CommonDefine.s_MaxInitLineCountMastamente)
-                {
-                    int AddRowCnt = CommonDefine.s_MaxInitLineCountMastamente - dgvMaster.Rows.Count;
-                    if (AddRowCnt != 0) dgvMaster.Rows.Add(AddRowCnt);
-                }
 
                 // 行を選択しない
                 dgvGridData.ClearSelection();
@@ -596,6 +587,9 @@
             {
                 perDB.close(); perDB = null;
                 dmDB.close(); dmDB = null;
+
+                int AddRowCnt1 = CommonDefine.s_MaxInitLineCountMastamente - dgvGridData.Rows.Count;
+                if (AddRowCnt1 > 0) dgvGridData.Rows.Add(AddRowCnt1);
             }
         }
         #endregion
